Welcome, Guest. Please login or register.

Pages: [1]
Print
Author Topic: Parpg SVN has moved to FIFE 0.3.0  (Read 2441 times)
maximinus
Community member

Posts: 694



View Profile Email
« on: February 01, 2010, 02:45:45 PM »

Hi guys, parpg SVN now needs FIFE 0.3.0, so you'll need to go through the process of rebuilding FIFE if you want to keep up-to-date with the latest code.

There's a possible problem with Ubuntu 9.10, in that FIFE will fail to compile due to libpng.h. To solve this, for now edit lines 335 and 336 of /usr/include/pngconf.h so that they read

Code:
#warning __pngconf.h__ in libpng already includes setjmp.h;
#warning __dont__ include it again.;

Compile FIFE, and then revert these lines again. This is a temporary solution until we find a better way (although this has been an open issue for a while in Ubuntu).

Any other niggles or issues, please place them here. Don't forget that the build process may have slightly changed, so always refer to the wiki for full details - http://wiki.parpg.net/Download
Logged

Science is open-source religion
maximinus
Community member

Posts: 694



View Profile Email
« Reply #1 on: February 01, 2010, 02:55:54 PM »

Also, this has broken parpg_editor.py, mainly because the code is very hacky. We'll try to get this fixed in a day or 2  Sad
Logged

Science is open-source religion
Pages: [1]
Print
Jump to: